Migrating from MQX4.1.1 to 4.1.2_Vybrid - USB issues

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Migrating from MQX4.1.1 to 4.1.2_Vybrid - USB issues

824 Views
sandrobastos
Contributor IV

Hello everybody,

Did anyone update MQX 4.1.1 to 4.1.2-Vybrid successfully?

Are there some material about the new USB approach?

I'm using IAR and TWR-VF65GS10

I'm facing many problems because many things seem to be different.

I built the libs, changed the include paths, etc. without success.

Some includes and typedefs changed; for example:

USB_ENDPOINTS - doesn't exist anymore;

#include "usb_device_stack_interface.h" - doesn't exist in previous version (4.1.1)

I had to use a grep and USB examples to find out where some declarations were, but there are still many errors.

I wonder there should be an easy and smart way to migrate without so much effort.

thanks and best regards

sandro

karinavalencia

bfac

rendy

robsoncosta

DavidSeymour

3 Replies

518 Views
sandrobastos
Contributor IV

I gave up migrating to 4.1.2!

After several hours changing my entire project in order to fit new MQX, after fix about 240 errors, it didn't run!

The main_task is not called by MQX that crashes I don't know where...

Many many things changed and became incompatible with MQX 4.1.1.

I had to come back to 4.1.1.

I can't understand why Freescale changes so many things and you can not run your project anymore.

There should have a tool, or at least a good tutorial to make these changes.

Does it mean we are stuck in 4.1.1?

I'm really disappointed.

Karina Valencia Aguilar

Bruno Castelucci

Rene Kolarik

Robson Costa

David Seymour

518 Views
keno
Contributor II

I managed to get our project to work with MQX 4.1.2 but I agree it took significant work to make it happen.  We are using a custom board based on the TWR and it does not utilize USB, so I can't comment on whether USB is affected by 4.1.2.  Once I got the project to compile I spent a fair amount of time troubleshooting an unhandled interrupt problem.

My primary reason for trying MQX 4.1.2 was to determine if it corrected an sdcard corruption problem that we've been experiencing.  The problem still persists with 4.1.2 so my next step is to attempt to reproduce the issue on the TWR reference board.  That will hopefully help determine if it is a hardware problem with our board, or a BSP/MQX issue.

518 Views
karina_valencia
NXP Apps Support
NXP Apps Support

rendy did you  get this case?

0 Kudos